Uses of Class
org.apache.juneau.commons.httppart.SchemaValidationException
Packages that use SchemaValidationException
Package
Description
JSON Schema Data Transfer Objects
Bean-modeling layer for Juneau.
Core HTTP-part types and enumerations shared across Juneau's HTTP-part marshalling support.
HTTP Part Marshalling Support
OpenAPI Marshalling Support
UON Marshalling Support
REST Server API
-
Uses of SchemaValidationException in org.apache.juneau.bean.jsonschema
Methods in org.apache.juneau.bean.jsonschema that throw SchemaValidationException -
Uses of SchemaValidationException in org.apache.juneau.commons.bean
Methods in org.apache.juneau.commons.bean that throw SchemaValidationException -
Uses of SchemaValidationException in org.apache.juneau.commons.httppart
Methods in org.apache.juneau.commons.httppart that return SchemaValidationExceptionModifier and TypeMethodDescriptionSchemaValidationException.getRootCause()Returns the root cause of this exception.SchemaValidationException.setMessage(String message, Object... args) -
Uses of SchemaValidationException in org.apache.juneau.marshall.httppart
Methods in org.apache.juneau.marshall.httppart that throw SchemaValidationExceptionModifier and TypeMethodDescription<T> TBaseHttpPartParser.read(HttpPartType partType, HttpPartSchema schema, String in, Class<T> toType) Converts the specified input to the specified class type.<T> TBaseHttpPartParser.read(HttpPartType partType, HttpPartSchema schema, String in, Type toType, Type... toTypeArgs) Converts the specified input to the specified class type.<T> TBaseHttpPartParser.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) Converts the specified input to the specified class type.<T> THttpPartParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) Converts the specified input to the specified class type.<T> TSimplePartParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) HttpPartSchema.validateInput(String in) Throws aSchemaValidationExceptionif the specified pre-parsed input does not validate against this schema.<T> THttpPartSchema.validateOutput(T o) Validates the specified parsed output against this schema.BaseHttpPartSerializer.write(HttpPartType partType, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.HttpPartSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable. -
Uses of SchemaValidationException in org.apache.juneau.marshall.oapi
Methods in org.apache.juneau.marshall.oapi that throw SchemaValidationExceptionModifier and TypeMethodDescription<T> TOpenApiParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> type) OpenApiSerializerSession.write(HttpPartType partType, HttpPartSchema schema, Object value) -
Uses of SchemaValidationException in org.apache.juneau.marshall.uon
Methods in org.apache.juneau.marshall.uon that throw SchemaValidationExceptionModifier and TypeMethodDescriptionstatic voidMerges one MULTIkey=uonValue token intodest .static JsonMapUonUtils.mergePairs(String... tokens) Merges MULTIkey=uonValue tokens into a newJsonMap.static ObjectUonUtils.parseValue(String raw) Parses a UON value from the right-hand side of akey=uonValue pair.<T> TUonParser.read(HttpPartType partType, HttpPartSchema schema, String in, Class<T> toType) Converts the specified input to the specified class type.<T> TUonParser.read(HttpPartType partType, HttpPartSchema schema, String in, Type toType, Type... toTypeArgs) Converts the specified input to the specified class type.<T> TUonParser.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) Converts the specified input to the specified class type.<T> TUonParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) UonSerializer.write(HttpPartType partType, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.UonSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) -
Uses of SchemaValidationException in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server that throw SchemaValidationExceptionModifier and TypeMethodDescriptionSets a header on the request.RestResponse.setHeader(HttpPartSchema schema, String name, Object value) Sets a header on the request.